import request from '@/utils/request'

// 查询门户用户列表
export function listCOMPANYUSER(query) {
  return request({
    url: '/COMPANYUSER/list',
    method: 'get',
    params: query
  })
}

// 查询门户用户所有列表
export function listAllCOMPANYUSER(query) {
  return request({
    url: '/COMPANYUSER/listAll',
    method: 'get',
    params: query
  })
}

// 查询门户用户详细
export function getCOMPANYUSER(id) {
  return request({
    url: '/COMPANYUSER/getInfo/' + id,
    method: 'get'
  })
}

// 新增门户用户
export function addCOMPANYUSER(data) {
  return request({
    url: '/COMPANYUSER/add',
    method: 'post',
    data: data
  })
}

// 修改门户用户
export function updateCOMPANYUSER(data) {
  return request({
    url: '/COMPANYUSER/edit',
    method: 'post',
    data: data
  })
}

// 删除门户用户
export function delCOMPANYUSER(id) {
  return request({
    url: '/COMPANYUSER/remove/' + id,
    method: 'get'
  })
}
